com.h3c.util.persistence.cassandra.index

## Class RangeLimit<T extends Serializable & Comparable<T>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.index.RangeLimit<T>

- Type Parameters:
    `T` - type of the range (column name).

      public class RangeLimit<T extends Serializable & Comparable<T>>
      extends Object

  Range limit.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RangeLimit<Boolean>` | `BOOLEAN_RANGE_LIMIT` Boolean range limit.
    `static RangeLimit<Byte>` | `BYTE_RANGE_LIMIT` Byte range limit.
    `static RangeLimit<Date>` | `DATE_RANGE_LIMIT` Date range limit.
    `static RangeLimit<Double>` | `DOUBLE_RANGE_LIMIT` Double range limit.
    `static RangeLimit<Float>` | `FLOAT_RANGE_LIMIT` Float range limit.
    `static RangeLimit<Integer>` | `INTEGER_RANGE_LIMIT` Integer range limit.
    `static RangeLimit<Long>` | `LONG_RANGE_LIMIT` Long range limit.
    `static RangeLimit<String>` | `STRING_RANGE_LIMIT` String range limit.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeLimit(T start, T end)` Creates a range limit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getEnd()` Gets the value to ensure the last column in a row is included in a range query.
    `T` | `getStart()` Gets the value to ensure the first column in a row is included in a range query.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STRING_RANGE_LIMIT

          public static final RangeLimit<String> STRING_RANGE_LIMIT

      String range limit.

    - #### BOOLEAN_RANGE_LIMIT

          public static final RangeLimit<Boolean> BOOLEAN_RANGE_LIMIT

      Boolean range limit.

    - #### BYTE_RANGE_LIMIT

          public static final RangeLimit<Byte> BYTE_RANGE_LIMIT

      Byte range limit.

    - #### DATE_RANGE_LIMIT

          public static final RangeLimit<Date> DATE_RANGE_LIMIT

      Date range limit.

    - #### DOUBLE_RANGE_LIMIT

          public static final RangeLimit<Double> DOUBLE_RANGE_LIMIT

      Double range limit.

    - #### FLOAT_RANGE_LIMIT

          public static final RangeLimit<Float> FLOAT_RANGE_LIMIT

      Float range limit.

    - #### INTEGER_RANGE_LIMIT

          public static final RangeLimit<Integer> INTEGER_RANGE_LIMIT

      Integer range limit.

    - #### LONG_RANGE_LIMIT

          public static final RangeLimit<Long> LONG_RANGE_LIMIT

      Long range limit.

  - ### Constructor Detail

    - #### RangeLimit

          public RangeLimit(T start,
                    T end)

      Creates a range limit.
      Parameters:
        `start` - value to ensure the first column in a row is included in a range query.
        `end` - value to ensure the last column in a row is included in a range query.

  - ### Method Detail

    - #### getStart

          public T getStart()

      Gets the value to ensure the first column in a row is included in a range query.
      Returns:
        the first value in the range.

    - #### getEnd

          public T getEnd()

      Gets the value to ensure the last column in a row is included in a range query.
      Returns:
        the last value in the range.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.